"""
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
"""

# -*- coding: utf-8 -*-
from info_dict import InfoDict


def text_to_list(text, delimiter=";"):

    if text.strip() == "":
        return []
    return text.split(delimiter)


def list_to_dict(lst, delimiter="="):

    result = InfoDict(node_status="on")
    for row in lst:
        split = row.split(delimiter, 1)
        if split == ['']:
            pass
        else:
            key, value = split
            if key not in result:
                result[key] = value
            else:
                result[key] = "%s, %s" % (result[key], value)
    return result


def text_to_set(text, delimiter=";"):

    return set(text_to_list(text, delimiter))
